function Perowskit
% Perovskite structure

A=[0 0 0; 2 0 0; 0 2 0; 0 0 2;...
        2 2 2; 0 2 2; 2 0 2; 2 2 0];
B=[1 1 1];
O=[1 1 0; 1 1 2; 0 1 1; 2 1 1; 1 0 1; 1 2 1];
nA=size(A,1);
nB=size(B,1);
nO=size(O,1);
figure; hold on;
for n=1:nA,
    Atom(A(n,:),0.25,[1 0.5 0]);
end;
for n=1:nB,
    Atom(B(n,:),0.15,[0 1 0.5]);
end;
for n=1:nO,
    Atom(O(n,:),0.2,[0 0.5 1]);
end;
D=inline('sqrt(dot(a-b,a-b))');
for n=1:nA-1,
    for m=n:nA,
        if D(A(n,:),A(m,:))<2.1,
            Connect(A(n,:),A(m,:),0.02);
        end;
    end;
end;
for n=1:nO-1,
    for m=n:nO,
        if D(O(n,:),O(m,:))<1.5,
            Connect(O(n,:),O(m,:),0.03);
        end;
    end;
end;
dfun([1,1,1],[1,1,1]+0.6*[1,0,0]);
hold off;
axis equal, axis off, light, lighting gouraud;
axis tight;
view(20,15);
set(gcf,'color','w');
