function h=pfun(a,b)
% transparent surface of a d-function

[u,v]=meshgrid(0:5:360,-90:5:90);
u=u*pi/180;
v=v*pi/180;
d = b-a;
l = sqrt(sum(d.*d));
if l==0, return; end;
r=l*sin(v).*sin(v);
x=r.*cos(v).*sin(u);
y=r.*cos(v).*cos(u);
z=r.*sin(v);
h=surf(x+a(1),y+a(2),z+a(3));
set(h,'EdgeAlpha',0,'FaceColor',0.6*[1,1,1],'FaceAlpha',0.5);
phirot = 180/pi*acos(d(3)/l);
ax = [-d(2) d(1) 0];
if (sum(ax.*ax)==0)
    ax = [1 0 0];
end;
rotate(h,ax,phirot,a);
