// scope.cpp: implementation of the scope class.
//
//////////////////////////////////////////////////////////////////////

#include "stdio.h"

#if defined(WIN32)
#include "io.h"
#endif

#include "scope.h"

//#define _TEST_

#if defined(_TEST_)
#include "math.h"
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

scope::scope() : serialbase(DEV1)
{

}

scope::~scope()
{

}

int scope::data(double * y, int nmax)
{
#if defined(_TEST_)
    for (int i=0; i<nmax; i++)
        y[i] = 127+(128*sin(200.0*i/nmax)*exp(-(double)i*5/nmax));
    return nmax;
#else
    unsigned char buf[] = "\0";
    fprintf(com, "DAT:ENC RPB\r\n");
    fprintf(com, "CURV?\r\n");
    while (buf[0]!='#')
        if (read(fileno(com), buf, 1)==0) 
            return -1;
    read(fileno(com), buf, 1);
    int n = buf[0]-'0';
    for (int i=0, len=0; i<n; i++) {
        read(fileno(com), buf, 1);
        len=len*10+(buf[0]-'0');
        }
    for (i=0; i<len; i++) {
        read(fileno(com), buf, 1);
        if (i<nmax)
            y[i] = buf[0];
        }
    return len>nmax ? nmax : len;
#endif
}

void scope::setchannel(int chan)
{
#if !defined(_TEST_)
    fprintf(com, "SEL:CH%d ON\r\n", chan);
    fprintf(com, "DAT:SOU CH%d\r\n", chan);
#endif
}
