function probesim
% simulate probe characteristics

RC=inline('(1/R+2*pi*j*F*C).^(-1)','R','C','F');
f=logspace(1,5,100);
r1=RC(9e6,[1 1 1]*15e-12,f');
r2=RC(1e6,[100 135 200]*1e-12,f');

t=r2./(r1+r2);

%semilogx(f,abs(t),'Color','k','linew',1.5);
plot(f,abs(t),'Color','k','linew',1.5);

axis([10 1e5 0.06 0.14]);
set(gca,'position',[0.16 0.18 0.8 0.8]);
hx=xlabel('Frequenz [Hz]');
hy=ylabel('U_{aus} / U_{ein}');
set([hx hy gca],'fontunits','normalized','fontsize',0.055)
set(hy,'position',get(hy,'position')-[0.4 0 0]);
set(gca,'xgrid','on');

set(gcf,'paperposition',[1 4 6 4])

%print -deps2 'probelin.eps'
