function simhf;

Ccb = 1e-11;                % 10 pF
Cb = 1e-4;                  % 1 uF
Rb = 1000;                  % 1 kOhm
Rbe = 1000;                 % 1 kOhm
Rc = 1000;                  % 1 kOhm
Rg = 10000;                 % 10 kOhm
b = 300;

basefreq=50000;
T=5/basefreq;
oddnums=[1:2:99];
npoints=1000;
time=linspace(0,T*(1-1/npoints),npoints);
[f,t]=meshgrid(oddnums*basefreq,time);
coeff=f.^(-1)*basefreq;
z=-j*coeff.*exp(2*j*pi*f.*t);

v = '-G1.*(G2*b-G3)./(G1.*G3+G1.*G4+G2.*G3*(1+b)+G2.*G4+G3.*G4)';
G1 = i*2*pi*f*Cb./(1+Rb*i*2*pi*f*Cb); 
G2 = 1/Rbe;
G3 = i*2*pi*f*Ccb;
G4 = 1/Rc;
v1 = eval(v);
G3 = i*2*pi*f*Ccb+1/Rg;
v2 = eval(v);

zi=real(sum(z,2));
zo1=real(sum(v1.*z,2));
zo2=real(sum(v2.*z,2));

hz=plot(time,[100*zi+250 zo1 10*zo2-250]);

set(hz,'color','k','linewidth',1.5);
set(gca,'xticklabel',[],'yticklabel',[],'xgrid','on','ygrid','on');
