function simlf;

Ccb = 1e-11;                % 10 pF
Cb = 5e-6;                  % 1 uF
Rb = 1000;                  % 1 kOhm
Rbe = 1000;                 % 1 kOhm
Rc = 1000;                  % 1 kOhm
Rg = 10000;                 % 10 kOhm
b = 300;

v = '-G1.*(G2*b-G3)./(G1.*G3+G1.*G4+G2.*G3*(1+b)+G2.*G4+G3.*G4)';
g1 = 'i*2*pi*f*Cb./(1+Rb*i*2*pi*f*Cb)'; 

basefreq=20;
T=5/basefreq;
oddnums=[1:2:99];
npoints=1000;
time=linspace(0,T*(1-1/npoints),npoints);

[f,t]=meshgrid(oddnums*basefreq,time);

G2 = 1/Rbe;
G3 = i*2*pi*f*Ccb;
G4 = 1/Rc;
G1 = eval(g1);
v1 = eval(v);
Cb = 5e-5;
G1 = eval(g1);
v2 = eval(v);
Cb = 5e-4;
G1 = eval(g1);
v3 = eval(v);

coeff=f.^(-1)*basefreq;
z=-j*coeff.*exp(2*j*pi*f.*t);
z1=real(sum(v1.*z,2));
z2=real(sum(v2.*z,2));
z3=real(sum(v3.*z,2));

hz=plot(time,[z1+500 z2 z3-500]);

set(hz,'color','k','linewidth',1.5);
set(gca,'xtick',linspace(0,T,10));
set(gca,'xticklabel',[],'yticklabel',[],'xgrid','on','ygrid','on');
